import random

def generateTyrePressures(seed,lower,upper,tyreList):
    for loop in range(300):
        change = random.randint(1,10)
        if change == 1 and seed<upper:
            seed += 0.1
            tyreList.append(round(seed,1))
        elif change >= 9 and seed>lower:
            seed += -0.1
            tyreList.append(round(seed,1))
        else:
            tyreList.append(round(seed,1))
    return tyreList

#Question 4
def findMinimumPressure(tyreList):
    minPressure = tyreList[0]
    for loop in range(1,299):
        if tyreList[loop] < minPressure:
            minPressure = tyreList[loop]    
    return minPressure

#Question 6
def pressureWarning(minPressure,tyreList):
    warning = ""
    for loop in range(0,299):
        if tyreList[loop] < minPressure:
            warning = "pressure warning"
    return warning

#Question 7
def compareTyres(tyreLeft,tyreRight):
    count = 0
    for loop in range(0,299):
        difference = tyreLeft[loop] - tyreRight[loop]
        if difference < -2 or difference > 2:
            count += 1
    return count


#Main Program

##Randomly generate values for four arrays(lists), one for for each tyre.
frontLeft = []
frontRight = []
backLeft = []
backRight = []

frontLeft = generateTyrePressures(33.0,28,35,frontLeft)
frontRight = generateTyrePressures(33.0,28,35,frontRight)
backLeft = generateTyrePressures(30.0,26,32,backLeft)
backRight = generateTyrePressures(30.0,26,32,backRight)

#Question 1
maxPressure = frontLeft[0]
for loop in range(1,299):
    if frontLeft[loop] > maxPressure:
        maxPressure = frontLeft[loop]
print("The maximum pressure in the front left tyre is", maxPressure)

#Question 2
count = 0
for loop in range(0,299):
    if frontRight[loop] < 33:
        count += 1
print("The number of times the front right tyre had a tyre pressure < 33 is", count)

#Question 3
for loop in range(0,299):
    if backLeft[loop] == 30:
        print("correct")

#Question 5
print("The minimum tyre pressure is",findMinimumPressure(backRight))   #function is written above

#Question 6 Call
print("Warning Message is",pressureWarning(30,frontRight))   #function is written above
print("Warning Message is",pressureWarning(28,backRight))

#Question 7 Calls and Message
if compareTyres(frontLeft,frontRight) > 20:
    print("Warning, the front tyres are not balanced")
if compareTyres(backLeft,backRight) > 20:
    print("Warning, the back tyres are not balanced")
